Module org.apache.derby.optionaltools
Package org.apache.derby.optional.api

## Class LuceneUtils.DefaultIndexDescriptor

- java.lang.Object
- - org.apache.derby.optional.api.LuceneUtils.DefaultIndexDescriptor

- All Implemented Interfaces:
    `LuceneIndexDescriptor`
  Enclosing class:
    LuceneUtils

      public static class LuceneUtils.DefaultIndexDescriptor
      extends Object
      implements LuceneIndexDescriptor

  The default LuceneIndexDescriptor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultIndexDescriptor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()` | Return LuceneUtils.defaultAnalyzer()
    `String[]` | `getFieldNames()` | Return the default array of field names { TEXT_FIELD_NAME }.
    `org.apache.lucene.queryparser.classic.QueryParser` | `getQueryParser()` | Return LuceneUtils.defaultQueryParser( LuceneUtils.currentVersion(), getFieldNames(), getAnalyzer() ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultIndexDescriptor

          public DefaultIndexDescriptor()

  - ### Method Detail

    - #### getFieldNames

          public String[] getFieldNames()

      Return the default array of field names { TEXT_FIELD_NAME }.
      Specified by:
        `getFieldNames` in interface `LuceneIndexDescriptor`
      Returns:
        the default array of field names

    - #### getAnalyzer

          public org.apache.lucene.analysis.Analyzer getAnalyzer()
                                                          throws SQLException

      Return LuceneUtils.defaultAnalyzer()
      Specified by:
        `getAnalyzer` in interface `LuceneIndexDescriptor`
      Returns:
        the default Analyzer
      Throws:
        `SQLException` - on error

    - #### getQueryParser

          public org.apache.lucene.queryparser.classic.QueryParser getQueryParser()
                                                                           throws SQLException

      Return LuceneUtils.defaultQueryParser( LuceneUtils.currentVersion(), getFieldNames(), getAnalyzer() ).
      Specified by:
        `getQueryParser` in interface `LuceneIndexDescriptor`
      Returns:
        the query parser
      Throws:
        `SQLException` - on error